VectorLinux
July 30, 2014, 01:08:30 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1] 2 3
  Print  
Author Topic: sflphone  (Read 5818 times)
sledgehammer
Vectorian
****
Posts: 1419



« on: July 07, 2013, 11:11:29 am »

Being embarrassed by all my requests for new packages, but not having much luck with linphone, I tried to install sflphone, which seems to have some good reviews.  I downloaded the rpm and tried rpm2tgz and that didn't work.  I tried from source and that didn't work.../configure blew up complaining of a dbus error.  I tried vpackager (for the first time) and, though it went a long way and produced a sflphone.SlackBuild, I couldn't get past some kind of a communication or contact error at, I believe, line 127.

So, here I am again, asking for a new package.  Twinkle works well, but is cumbersome to use.  Linphone 3.6.1, with "subscribe=0" works well but the contacts are hard to use and as it defaults to "subscribe=1" linphonerc has to be corrected periodically so that "subscribe=0." Also video doesn't work on my system. Nonetheless, Linphone is very useful and I use it constantly. 

It would be great if VL had a better sip phone in its repositories.  
« Last Edit: July 07, 2013, 07:20:28 pm by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3256


-- Just being myself --


« Reply #1 on: July 08, 2013, 02:28:55 am »

I have build sflphone-1.2.2 at the untested repo...you can have a try...
I did not build version 1.2.3 due to it need gtk+3
Logged
sledgehammer
Vectorian
****
Posts: 1419



« Reply #2 on: July 08, 2013, 07:23:25 am »

Thanks.  I got an "unable to initialize error. Make sure the Daemon is running" error in a little box.  Here is what is shown in the command window:

Quote


. . .

GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
<error> main.c:123: Process /usr/lib/sflphone/sflphoned exited with status 127
/usr/share/themes/MurrinaBlue/gtk-2.0/gtkrc:83: Murrine configuration option "scrollbar_color" is no longer supported and will be ignored.
/usr/share/themes/MurrinaBlue/gtk-2.0/gtkrc:83: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please use "highlight_shade" instead.
Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3256


-- Just being myself --


« Reply #3 on: July 11, 2013, 07:52:30 pm »

how you install it? via gslapt/slapt-get?
Logged
sledgehammer
Vectorian
****
Posts: 1419



« Reply #4 on: July 12, 2013, 07:14:29 am »

I went to the untested repository and installed from there.  I don't believe sflphone is yet in testing.

John
Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3256


-- Just being myself --


« Reply #5 on: July 12, 2013, 10:36:09 pm »

I mean do you install it manually using installpkg/upgradepkg or via gslapt/slapt-get?
Logged
sledgehammer
Vectorian
****
Posts: 1419



« Reply #6 on: July 13, 2013, 03:12:13 pm »

manually.

I don't know how to get to the untested repository on gslapt.

John
Logged

VL7.0 xfce4 Samsung RF511
roarde
Vectorian
****
Posts: 520


move the needle


« Reply #7 on: July 13, 2013, 03:57:57 pm »

Open /etc/slapt-get/slapt-getrc in an editor as root. Add ONE of the following two lines to it, according to whether you're running 32- or 64-bit:

#DISABLED=http://vlcore.vectorlinux.com/pkg/untested/veclinux-7.0/x86/:CUSTOM
or
#DISABLED=http://vlcore.vectorlinux.com/pkg/untested/veclinux-7.0/x86_64/:CUSTOM

I like to put it just below the first line for "testing", but its placement doesn't matter. You'll want it somewhat near the top, though.

To enable it, same as always:  gslapt > edit > preferences > sources tab > select it   then reload as suggested.

Naturally, you'll want to grab what you want, then disable and reload again.

Make sure that the packages you're after are still actually in this repo -- after a certain amount of time, they're removed. If they've been removed, ask for a rebuild. Use your web browser to look; gslapt will list it regardless if it's on your computer.

If the package is there, uninstall, then install using gslapt. The dependencies should be picked up.
« Last Edit: July 13, 2013, 04:01:32 pm by roarde » Logged

Robert
VL STD 7.1 RC2.2.2, icewmvmods
sledgehammer
Vectorian
****
Posts: 1419



« Reply #8 on: July 13, 2013, 07:15:44 pm »

Thank you roarde.  That did the trick.

hata_ph,

I still get the error:

 
Quote
Unable to initialize.
Make sure the daemon is running.
Error: Process /usr/lib/sflphone/sflphoned exited with status 127

command line shows:

Quote
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
<error> main.c:123: Process /usr/lib/sflphone/sflphoned exited with status 127
/usr/share/themes/MurrinaBlue/gtk-2.0/gtkrc:83: Murrine configuration option "scrollbar_color" is no longer supported and will be ignored.
/usr/share/themes/MurrinaBlue/gtk-2.0/gtkrc:83: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please use "highlight_shade" instead.
Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3256


-- Just being myself --


« Reply #9 on: July 14, 2013, 04:34:13 pm »

Pls show me your /var/log/pkgtools
Logged
sledgehammer
Vectorian
****
Posts: 1419



« Reply #10 on: July 15, 2013, 12:09:31 am »

Tried. File would not load on this window.  Divided in in half and still would not load.  Will try again tomorrow.

John
Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1419



« Reply #11 on: July 15, 2013, 08:22:42 am »

Still won't send.
So I am sending parts at a time.

here is first part
Quote
2011-11-30 22:14:57 Installed new: aaa_base-13.37-i486-3.txz
<ZAP>
« Last Edit: July 18, 2013, 01:28:57 pm by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1419



« Reply #12 on: July 15, 2013, 08:24:22 am »

Second part:

Quote
2011-11-30 22:22:44 Installed new: xbitmaps-1.1.1-i586-3vl70.txz
<ZAP>
2012-05-20 12:06:09 Installed new: perl-extutils-depends-0.302-i586-2vl70.t
« Last Edit: July 18, 2013, 01:29:23 pm by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1419



« Reply #13 on: July 15, 2013, 08:33:04 am »

Next part
Quote
2012-05-20 12:06:09 Installed new: perl-extutils-pkgconfig-1.12-i586-2vl70.txz

<ZAP>
« Last Edit: July 18, 2013, 01:30:19 pm by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1419



« Reply #14 on: July 15, 2013, 08:36:11 am »

Next part

Quote
2012-09-30 15:15:38 Installed new: mjpegtools-1.9.0-i586-1vl70.txz
<ZAP>
« Last Edit: July 18, 2013, 01:31:22 pm by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
Pages: [1] 2 3
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!